Bug 808861 - Setting "Reboot after installation" to False still reboots the host
Setting "Reboot after installation" to False still reboots the host
Product: oVirt
Classification: Community
Component: ovirt-engine-api (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ori Liel
Depends On:
Blocks: 799722
  Show dependency treegraph
Reported: 2012-04-01 06:49 EDT by Alex Lourie
Modified: 2012-08-09 03:59 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-09 03:59:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alex Lourie 2012-04-01 06:49:47 EDT
Description of problem:
I'm using SDK to create a local host. Setting "Reboot after installation" to False still reboots the host after installation.

How reproducible:

Steps to Reproduce:
1. Create an API object with SDK
from ovirtsdk.api import API
from ovirtsdk.xml import params

reboot_after_installation=False, cluster=controller.CONF["API_OBJECT"].clusters.get(LOCAL_CLUSTER),                                                               root_password=controller.CONF["SUPERUSER_PASS"])

Then, adding host to hosts object will reboot the system.
Actual results:
The host is rebooted.

Expected results:
The host should not reboot
Comment 1 Michael Pasternak 2012-04-01 07:08:59 EDT
missing mapping in HostMapper
Comment 2 Ori Liel 2012-07-11 07:17:14 EDT
works for me, probably fixed along the way
Comment 3 Itamar Heim 2012-08-09 03:59:41 EDT
closing ON_QA bugs as oVirt 3.1 was released:

Note You need to log in before you can comment on or make changes to this bug.